--
-- HudAttachment
-- This is the HudAttachment specialization
--
-- M@D Author  Headshot XXL
-- M@D date 29.06.2009
--
-- > Copyright (C) Headshot XXL - www.planet-ls.de < --

HudAttachment = {};

function HudAttachment.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function HudAttachment:load(xmlFile)
end;

function HudAttachment:delete()
end;

function HudAttachment:mouseEvent(posX, posY, isDown, isUp, button)
end;

function HudAttachment:keyEvent(unicode, sym, modifier, isDown)
end;

function HudAttachment:update(dt)
end;

function HudAttachment:draw()

	if g_currentMission.attachableInMountRange ~= nil then
		g_currentMission.hudAttachmentOverlay:render();
	end;

end;

